NI-488.2操作系统支持

概览

此页面显示了Microsoft-Windows、MacOS和Linux操作系统上GPIB设备支持的NI-488.2驱动版本。在升级或更新操作系统时,或将代码迁移/移植到新系统时,请务必参考本页面信息,以确保安装正确的版本。使用不兼容的版本可能会导致错误,使Windows无法识别或检测相应的GPIB设备,从而无法提供对应的驱动程序,或者Windows Device Manager或NI Measurement&Automation Explorer (MAX)会缺失相应的设备。

 

在此页面底部的“ 下载”部分中,您可以下载此表,该表格可能包括较旧的软件版本。

 

注意:NI已经将ni.com上的旧版NI-488.2下载链接删除掉,请参阅《如何下载17.6及之前版本的NI-488.2驱动》,了解更多信息。

Contents

NI-488.2和Microsoft Windows桌面版操作系统的兼容性表

除了操作系统外,也应考虑应用程序与NI-488.2驱动的兼容性。有关详细信息,请参阅“相关链接”部分;有关特定设备的兼容性信息,请参阅488.2自述文件。 

有关Service Pack (SP)的要求,请参阅以下内容:

  • Windows XP:SP3或更高版本
  • Windows Vista:SP2或更高版本
  • Windows 7:SP1或更高版本


有关较旧的NI-488.2或Windows版本兼容性的信息,请参阅中本文件下载部分的“488.2 Windows兼容性表”附件。

请对照此表,查看NI-488.2与Windows桌面版操作系统的对应兼容版本
NI‑488.2 Microsoft Windows - 桌面版
10 8.1 8 7 Vista XP
20.0        
19.5        
19.0        
18.5        
17.6        
17.0        
16.0      
15.5      
15.0        
14.0        
3.1        
3.0          
2.8          
2.7            
2.6            
2.5          
2.4          
2.3          
2.2          
2.1          
2.0          

兼容版本

需要Service Pack

NI-488.2和Microsoft Windows服务器版操作系统兼容性表

有关较旧的NI-488.2或Windows版本兼容性的信息,请参阅中本文件下载部分的“488.2 Windows兼容性表”附件。

有关Service Pack (SP)的要求,请参阅以下内容:

  • Windows Server 2003 R2:SP2或更高版本
  • Windows Server 2008 R2:SP1或更高版本
请对照此表,查看NI-488.2与Windows服务器版操作系统的对应兼容版本
NI‑488.2 Microsoft Windows - 服务器版
2016 2012 R22 2008 R22 2003 R21
20.0    
19.5      
19.0      
18.5      
17.6      
17.0      
16.0      
15.5      
15.0      
14.0      
3.1        
3.0    
2.8    
2.7        

1 仅限32位系统
2 仅限64位系统

兼容版本

需要Service Pack

NI-488.2和MacOS和Linux操作系统兼容性表

除了操作系统外,也应考虑应用程序与NI-488.2驱动的兼容性。有关详细信息,请参阅“相关链接”部分;有关特定设备的兼容性信息,请参阅488.2自述文件。

注:有关每个MacOS和Linux操作系统的兼容操作系统版本,请参阅488.2自述文件。 

请对照此表,查看NI-488.2与Windows桌面版操作系统的兼容版本
NI‑488.2 MacOS Linux - 操作系统
OS X Mandrake SuSE OpenSuSE Scientific CentOS Redhat
19.5            
19.0        
18.5            
18.0      
17.0    
15.5            
15.1      
14.1            
7.6.7            
3.2        
3.0            
2.9        
2.5      
2.4          
2.3      
2.2        
2.0          

兼容版本